---
type Props = {
    name: string;
    description: string;
    url: string;
    tags: string[];
};

const { name, description, url, tags } = Astro.props;
---

<li class="rounded-lg border border-zinc-700/40 bg-zinc-800 p-4 shadow-md">
    <div class="flex justify-between">
        <h2 class="text-lg font-semibold text-zinc-200">{name}</h2>
        <a href={url} target="_blank" class="flex items-center hover:scale-105">
            <svg
                class="h-6 w-6 stroke-zinc-300"
                viewBox="0 0 24 24"
                stroke-width="1.5"
                fill="none"
                stroke-linecap="round"
                stroke-linejoin="round">
                <path stroke="none" d="M0 0h24v24H0z" fill="none"></path>
                <path d="M21 14l-9 7l-9 -7l3 -11l3 7h6l3 -7z"></path>
            </svg>
        </a>
    </div>
    <p class="mt-1 mb-4">{description}</p>
    <ul class="flex flex-wrap gap-2">
        {tags.map((tag) => <li class="rounded bg-blue-500/40 px-2 text-sm font-medium text-zinc-300/90">{tag}</li>)}
    </ul>
</li>
